
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>Index &mdash; Python 3.5.1 documentation</title>
    
    <link rel="stylesheet" href="_static/pydoctheme.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '3.5.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/sidebar.js"></script>
    <link rel="search" type="application/opensearchdescription+xml"
          title="Search within Python 3.5.1 documentation"
          href="_static/opensearch.xml"/>
    <link rel="author" title="About these documents" href="about.html" />
    <link rel="copyright" title="Copyright" href="copyright.html" />
    <link rel="top" title="Python 3.5.1 documentation" href="contents.html" />
    <link rel="shortcut icon" type="image/png" href="_static/py.png" />
    <script type="text/javascript" src="_static/copybutton.js"></script>
    <script type="text/javascript" src="_static/version_switch.js"></script>
    
 

  </head>
  <body role="document">  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>    

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            

<h1 id="index">Index &ndash; O</h1>

<table style="width: 100%" class="indextable"><tr>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/os.html#os.O_APPEND">O_APPEND (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_ASYNC">O_ASYNC (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_BINARY">O_BINARY (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_CLOEXEC">O_CLOEXEC (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_CREAT">O_CREAT (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_DIRECT">O_DIRECT (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_DIRECTORY">O_DIRECTORY (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_DSYNC">O_DSYNC (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_EXCL">O_EXCL (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_EXLOCK">O_EXLOCK (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_NDELAY">O_NDELAY (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_NOATIME">O_NOATIME (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_NOCTTY">O_NOCTTY (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_NOFOLLOW">O_NOFOLLOW (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_NOINHERIT">O_NOINHERIT (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_NONBLOCK">O_NONBLOCK (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_PATH">O_PATH (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_RANDOM">O_RANDOM (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_RDONLY">O_RDONLY (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_RDWR">O_RDWR (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_RSYNC">O_RSYNC (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_SEQUENTIAL">O_SEQUENTIAL (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_SHLOCK">O_SHLOCK (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_SHORT_LIVED">O_SHORT_LIVED (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_SYNC">O_SYNC (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_TEMPORARY">O_TEMPORARY (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_TEXT">O_TEXT (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_TMPFILE">O_TMPFILE (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_TRUNC">O_TRUNC (in module os)</a>
  </dt>

      
  <dt><a href="library/os.html#os.O_WRONLY">O_WRONLY (in module os)</a>
  </dt>

      
  <dt><a href="library/stdtypes.html#memoryview.obj">obj (memoryview attribute)</a>
  </dt>

      
  <dt><a href="reference/datamodel.html#index-0">object</a>, <a href="glossary.html#term-object"><strong>[1]</strong></a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-12">Boolean</a>, <a href="reference/datamodel.html#index-11">[1]</a>
  </dt>

        
  <dt><a href="c-api/capsule.html#index-0">Capsule</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-8">Ellipsis</a>
  </dt>

        
  <dt><a href="c-api/none.html#index-0">None</a>, <a href="reference/datamodel.html#index-6">[1]</a>, <a href="reference/simple_stmts.html#index-3">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-7">NotImplemented</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-39">built-in function</a>, <a href="reference/expressions.html#index-39">[1]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-40">built-in method</a>, <a href="reference/expressions.html#index-39">[1]</a>
  </dt>

        
  <dt><a href="c-api/bytearray.html#index-0">bytearray</a>, <a href="library/stdtypes.html#index-22">[1]</a>, <a href="library/stdtypes.html#index-37">[2]</a>, <a href="library/stdtypes.html#index-39">[3]</a>
  </dt>

        
  <dt><a href="c-api/bytes.html#index-0">bytes</a>, <a href="library/stdtypes.html#index-37">[1]</a>, <a href="library/stdtypes.html#index-38">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-32">callable</a>, <a href="reference/expressions.html#index-34">[1]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-26">class</a>, <a href="reference/datamodel.html#index-44">[1]</a>, <a href="reference/expressions.html#index-40">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-44">class instance</a>, <a href="reference/datamodel.html#index-48">[1]</a>, <a href="reference/expressions.html#index-41">[2]</a>
  </dt>

        
  <dt><a href="c-api/code.html#index-0">code</a>, <a href="library/marshal.html#index-0">[1]</a>, <a href="library/stdtypes.html#index-51">[2]</a>, <a href="reference/datamodel.html#index-54">[3]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-14">complex</a>
  </dt>

        
  <dt><a href="c-api/complex.html#index-0">complex number</a>, <a href="library/stdtypes.html#index-12">[1]</a>
  </dt>

        
  <dt><a href="extending/newtypes.html#index-0">deallocation</a>
  </dt>

        
  <dt><a href="c-api/dict.html#index-0">dictionary</a>, <a href="library/stdtypes.html#index-47">[1]</a>, <a href="reference/datamodel.html#index-30">[2]</a>, <a href="reference/datamodel.html#index-44">[3]</a>, <a href="reference/datamodel.html#index-74">[4]</a>, <a href="reference/expressions.html#index-13">[5]</a>, <a href="reference/expressions.html#index-29">[6]</a>, <a href="reference/simple_stmts.html#index-11">[7]</a>
  </dt>

        
  <dt><a href="c-api/file.html#index-0">file</a>, <a href="tutorial/inputoutput.html#index-0">[1]</a>
  </dt>

        
  <dt><a href="extending/newtypes.html#index-0">finalization</a>
  </dt>

        
  <dt><a href="c-api/float.html#index-0">floating point</a>, <a href="library/stdtypes.html#index-12">[1]</a>, <a href="reference/datamodel.html#index-13">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-58">frame</a>
  </dt>

        
  <dt><a href="c-api/set.html#index-0">frozenset</a>, <a href="reference/datamodel.html#index-28">[1]</a>
  </dt>

        
  <dt><a href="c-api/function.html#index-0">function</a>, <a href="reference/compound_stmts.html#index-19">[1]</a>, <a href="reference/datamodel.html#index-33">[2]</a>, <a href="reference/datamodel.html#index-39">[3]</a>, <a href="reference/expressions.html#index-38">[4]</a>, <a href="reference/expressions.html#index-39">[5]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-56">generator</a>, <a href="reference/expressions.html#index-15">[1]</a>, <a href="reference/expressions.html#index-21">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-17">immutable</a>, <a href="reference/expressions.html#index-14">[1]</a>, <a href="reference/expressions.html#index-7">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-17">immutable sequence</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-44">instance</a>, <a href="reference/datamodel.html#index-48">[1]</a>, <a href="reference/expressions.html#index-41">[2]</a>
  </dt>

        
  <dt><a href="c-api/method.html#index-0">instancemethod</a>
  </dt>

        
  <dt><a href="c-api/long.html#index-0">integer</a>, <a href="library/stdtypes.html#index-12">[1]</a>, <a href="reference/datamodel.html#index-10">[2]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-28">io.StringIO</a>
  </dt>

        
  <dt><a href="c-api/list.html#index-0">list</a>, <a href="library/stdtypes.html#index-22">[1]</a>, <a href="library/stdtypes.html#index-24">[2]</a>, <a href="reference/datamodel.html#index-23">[3]</a>, <a href="reference/expressions.html#index-11">[4]</a>, <a href="reference/expressions.html#index-27">[5]</a>, <a href="reference/expressions.html#index-29">[6]</a>, <a href="reference/expressions.html#index-32">[7]</a>, <a href="reference/simple_stmts.html#index-10">[8]</a>
  </dt>

        
  <dt><a href="c-api/long.html#index-0">long integer</a>
  </dt>

        
  <dt><a href="c-api/concrete.html#index-2">mapping</a>, <a href="library/stdtypes.html#index-47">[1]</a>, <a href="reference/datamodel.html#index-29">[2]</a>, <a href="reference/datamodel.html#index-50">[3]</a>, <a href="reference/expressions.html#index-29">[4]</a>, <a href="reference/simple_stmts.html#index-11">[5]</a>
  </dt>

        
  <dt><a href="c-api/memoryview.html#index-0">memoryview</a>, <a href="library/stdtypes.html#index-37">[1]</a>
  </dt>

        
  <dt><a href="c-api/method.html#index-1">method</a>, <a href="library/stdtypes.html#index-50">[1]</a>, <a href="reference/datamodel.html#index-35">[2]</a>, <a href="reference/datamodel.html#index-40">[3]</a>, <a href="reference/expressions.html#index-39">[4]</a>, <a href="tutorial/classes.html#index-0">[5]</a>
  </dt>

        
  <dt><a href="c-api/module.html#index-0">module</a>, <a href="reference/datamodel.html#index-41">[1]</a>, <a href="reference/expressions.html#index-27">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-22">mutable</a>, <a href="reference/simple_stmts.html#index-4">[1]</a>, <a href="reference/simple_stmts.html#index-9">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-22">mutable sequence</a>
  </dt>

        
  <dt><a href="c-api/concrete.html#index-0">numeric</a>, <a href="library/stdtypes.html#index-12">[1]</a>, <a href="library/stdtypes.html#index-9">[2]</a>, <a href="reference/datamodel.html#index-50">[3]</a>, <a href="reference/datamodel.html#index-9">[4]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-26">range</a>
  </dt>

        
  <dt><a href="c-api/concrete.html#index-1">sequence</a>, <a href="library/stdtypes.html#index-19">[1]</a>, <a href="reference/compound_stmts.html#index-6">[2]</a>, <a href="reference/datamodel.html#index-15">[3]</a>, <a href="reference/datamodel.html#index-50">[4]</a>, <a href="reference/expressions.html#index-29">[5]</a>, <a href="reference/expressions.html#index-32">[6]</a>, <a href="reference/expressions.html#index-64">[7]</a>, <a href="reference/simple_stmts.html#index-10">[8]</a>
  </dt>

        
  <dt><a href="c-api/set.html#index-0">set</a>, <a href="library/stdtypes.html#index-46">[1]</a>, <a href="reference/datamodel.html#index-27">[2]</a>, <a href="reference/expressions.html#index-12">[3]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-26">set type</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-82">slice</a>
  </dt>

        
  <dt><a href="library/socket.html#index-0">socket</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-27">string</a>, <a href="reference/expressions.html#index-29">[1]</a>, <a href="reference/expressions.html#index-32">[2]</a>
  </dt>

        
  <dt><a href="library/sys.html#index-2">traceback</a>, <a href="library/traceback.html#index-0">[1]</a>, <a href="reference/compound_stmts.html#index-12">[2]</a>, <a href="reference/datamodel.html#index-61">[3]</a>, <a href="reference/simple_stmts.html#index-25">[4]</a>
  </dt>

        
  <dt><a href="c-api/tuple.html#index-0">tuple</a>, <a href="library/stdtypes.html#index-21">[1]</a>, <a href="library/stdtypes.html#index-25">[2]</a>, <a href="reference/datamodel.html#index-20">[3]</a>, <a href="reference/expressions.html#index-29">[4]</a>, <a href="reference/expressions.html#index-32">[5]</a>, <a href="reference/expressions.html#index-74">[6]</a>
  </dt>

        
  <dt><a href="c-api/intro.html#index-5">type</a>, <a href="c-api/type.html#index-0">[1]</a>, <a href="library/functions.html#index-11">[2]</a>
  </dt>

        
  <dt><a href="reference/compound_stmts.html#index-19">user-defined function</a>, <a href="reference/datamodel.html#index-33">[1]</a>, <a href="reference/expressions.html#index-38">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-35">user-defined method</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#object">object (built-in class)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/exceptions.html#UnicodeError.object">(UnicodeError attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/datamodel.html#object.__slots__">object.__slots__ (built-in variable)</a>
  </dt>

      
  <dt><a href="distutils/apiref.html#distutils.ccompiler.CCompiler.object_filenames">object_filenames() (distutils.ccompiler.CCompiler method)</a>
  </dt>

      
  <dt>
    objects
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-9">comparing</a>
  </dt>

        
  <dt><a href="library/pickle.html#index-0">flattening</a>
  </dt>

        
  <dt><a href="library/pickle.html#index-0">marshalling</a>
  </dt>

        
  <dt><a href="library/pickle.html#index-0">persistent</a>
  </dt>

        
  <dt><a href="library/pickle.html#index-0">pickling</a>
  </dt>

        
  <dt><a href="library/pickle.html#index-0">serializing</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/ossaudiodev.html#ossaudiodev.oss_audio_device.obufcount">obufcount() (ossaudiodev.oss_audio_device method)</a>
  </dt>

      
  <dt><a href="library/ossaudiodev.html#ossaudiodev.oss_audio_device.obuffree">obuffree() (ossaudiodev.oss_audio_device method)</a>
  </dt>

      
  <dt><a href="library/functions.html#oct">oct() (built-in function)</a>
  </dt>

      
  <dt>
    octal
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-13">literals</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/lexical_analysis.html#index-20">octal literal</a>
  </dt>

      
  <dt><a href="library/string.html#string.octdigits">octdigits (in module string)</a>
  </dt>

      
  <dt><a href="library/traceback.html#traceback.TracebackException.offset">offset (traceback.TracebackException attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/pyexpat.html#xml.parsers.expat.ExpatError.offset">(xml.parsers.expat.ExpatError attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/curses.html#curses.OK">OK (in module curses)</a>
  </dt>

      
  <dt><a href="library/ctypes.html#ctypes.OleDLL">OleDLL (class in ctypes)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.onclick">onclick() (in module turtle)</a>, <a href="library/turtle.html#turtle.onclick">[1]</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.ondrag">ondrag() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/cmd.html#cmd.Cmd.onecmd">onecmd() (cmd.Cmd method)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.onkey">onkey() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.onkeypress">onkeypress() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.onkeyrelease">onkeyrelease() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.onrelease">onrelease() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.onscreenclick">onscreenclick() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/turtle.html#turtle.ontimer">ontimer() (in module turtle)</a>
  </dt>

      
  <dt><a href="library/token.html#token.OP">OP (in module token)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_ALL">OP_ALL (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_CIPHER_SERVER_PREFERENCE">OP_CIPHER_SERVER_PREFERENCE (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_NO_COMPRESSION">OP_NO_COMPRESSION (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_NO_SSLv2">OP_NO_SSLv2 (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_NO_SSLv3">OP_NO_SSLv3 (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_NO_TLSv1">OP_NO_TLSv1 (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_NO_TLSv1_1">OP_NO_TLSv1_1 (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_NO_TLSv1_2">OP_NO_TLSv1_2 (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_SINGLE_DH_USE">OP_SINGLE_DH_USE (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OP_SINGLE_ECDH_USE">OP_SINGLE_ECDH_USE (in module ssl)</a>
  </dt>

      
  <dt>
    open
  </dt>

      <dd><dl>
        
  <dt><a href="reference/datamodel.html#index-52">built-in function</a>, <a href="tutorial/inputoutput.html#index-0">[1]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#open">open() (built-in function)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="distutils/apiref.html#distutils.text_file.TextFile.open">(distutils.text_file.TextFile method)</a>
  </dt>

        
  <dt><a href="library/imaplib.html#imaplib.IMAP4.open">(imaplib.IMAP4 method)</a>
  </dt>

        
  <dt><a href="library/aifc.html#aifc.open">(in module aifc)</a>
  </dt>

        
  <dt><a href="library/bz2.html#bz2.open">(in module bz2)</a>
  </dt>

        
  <dt><a href="library/codecs.html#codecs.open">(in module codecs)</a>
  </dt>

        
  <dt><a href="library/dbm.html#dbm.open">(in module dbm)</a>
  </dt>

        
  <dt><a href="library/dbm.html#dbm.dumb.open">(in module dbm.dumb)</a>
  </dt>

        
  <dt><a href="library/dbm.html#dbm.gnu.open">(in module dbm.gnu)</a>
  </dt>

        
  <dt><a href="library/dbm.html#dbm.ndbm.open">(in module dbm.ndbm)</a>
  </dt>

        
  <dt><a href="library/gzip.html#gzip.open">(in module gzip)</a>
  </dt>

        
  <dt><a href="library/io.html#io.open">(in module io)</a>
  </dt>

        
  <dt><a href="library/lzma.html#lzma.open">(in module lzma)</a>
  </dt>

        
  <dt><a href="library/os.html#os.open">(in module os)</a>
  </dt>

        
  <dt><a href="library/ossaudiodev.html#ossaudiodev.open">(in module ossaudiodev)</a>
  </dt>

        
  <dt><a href="library/shelve.html#shelve.open">(in module shelve)</a>
  </dt>

        
  <dt><a href="library/sunau.html#sunau.open">(in module sunau)</a>
  </dt>

        
  <dt><a href="library/tarfile.html#tarfile.open">(in module tarfile)</a>
  </dt>

        
  <dt><a href="library/tokenize.html#tokenize.open">(in module tokenize)</a>
  </dt>

        
  <dt><a href="library/wave.html#wave.open">(in module wave)</a>
  </dt>

        
  <dt><a href="library/webbrowser.html#webbrowser.open">(in module webbrowser)</a>
  </dt>

        
  <dt><a href="library/pathlib.html#pathlib.Path.open">(pathlib.Path method)</a>
  </dt>

        
  <dt><a href="library/pipes.html#pipes.Template.open">(pipes.Template method)</a>
  </dt>

        
  <dt><a href="library/tarfile.html#tarfile.TarFile.open">(tarfile.TarFile class method)</a>
  </dt>

        
  <dt><a href="library/telnetlib.html#telnetlib.Telnet.open">(telnetlib.Telnet method)</a>
  </dt>

        
  <dt><a href="library/urllib.request.html#urllib.request.OpenerDirector.open">(urllib.request.OpenerDirector method)</a>
  </dt>

        
  <dt><a href="library/urllib.request.html#urllib.request.URLopener.open">(urllib.request.URLopener method)</a>
  </dt>

        
  <dt><a href="library/webbrowser.html#webbrowser.controller.open">(webbrowser.controller method)</a>
  </dt>

        
  <dt><a href="library/zipfile.html#zipfile.ZipFile.open">(zipfile.ZipFile method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/asyncio-stream.html#asyncio.open_connection">open_connection() (in module asyncio)</a>
  </dt>

      
  <dt><a href="library/webbrowser.html#webbrowser.open_new">open_new() (in module webbrowser)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/webbrowser.html#webbrowser.controller.open_new">(webbrowser.controller method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/webbrowser.html#webbrowser.open_new_tab">open_new_tab() (in module webbrowser)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/webbrowser.html#webbrowser.controller.open_new_tab">(webbrowser.controller method)</a>
  </dt>

      </dl></dd>
  </dl></td>
  <td style="width: 33%" valign="top"><dl>
      
  <dt><a href="library/msvcrt.html#msvcrt.open_osfhandle">open_osfhandle() (in module msvcrt)</a>
  </dt>

      
  <dt><a href="library/asyncio-stream.html#asyncio.open_unix_connection">open_unix_connection() (in module asyncio)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.URLopener.open_unknown">open_unknown() (urllib.request.URLopener method)</a>
  </dt>

      
  <dt><a href="library/msilib.html#msilib.OpenDatabase">OpenDatabase() (in module msilib)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.OpenerDirector">OpenerDirector (class in urllib.request)</a>
  </dt>

      
  <dt><a href="library/sunau.html#sunau.openfp">openfp() (in module sunau)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/wave.html#wave.openfp">(in module wave)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/winreg.html#winreg.OpenKey">OpenKey() (in module winreg)</a>
  </dt>

      
  <dt><a href="library/winreg.html#winreg.OpenKeyEx">OpenKeyEx() (in module winreg)</a>
  </dt>

      
  <dt><a href="library/syslog.html#syslog.openlog">openlog() (in module syslog)</a>
  </dt>

      
  <dt><a href="library/ossaudiodev.html#ossaudiodev.openmixer">openmixer() (in module ossaudiodev)</a>
  </dt>

      
  <dt><a href="library/os.html#os.openpty">openpty() (in module os)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/pty.html#pty.openpty">(in module pty)</a>
  </dt>

      </dl></dd>
      
  <dt>
    OpenSSL
  </dt>

      <dd><dl>
        
  <dt><a href="library/hashlib.html#index-2">(use in module hashlib)</a>
  </dt>

        
  <dt><a href="library/ssl.html#index-0">(use in module ssl)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/ssl.html#ssl.OPENSSL_VERSION">OPENSSL_VERSION (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OPENSSL_VERSION_INFO">OPENSSL_VERSION_INFO (in module ssl)</a>
  </dt>

      
  <dt><a href="library/ssl.html#ssl.OPENSSL_VERSION_NUMBER">OPENSSL_VERSION_NUMBER (in module ssl)</a>
  </dt>

      
  <dt><a href="library/msilib.html#msilib.Database.OpenView">OpenView() (msilib.Database method)</a>
  </dt>

      
  <dt>
    operation
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-66">Boolean</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-48">binary arithmetic</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-57">binary bitwise</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">concatenation</a>
  </dt>

        
  <dt><a href="reference/simple_stmts.html#index-17">null</a>, <a href="reference/simple_stmts.html#index-17">[1]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">repetition</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-55">shifting</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">slice</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">subscript</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-43">unary arithmetic</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-43">unary bitwise</a>
  </dt>

      </dl></dd>
      
  <dt>
    operations
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-1">Boolean</a>, <a href="library/stdtypes.html#index-6">[1]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">bitwise</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">masking</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">shifting</a>
  </dt>

      </dl></dd>
      
  <dt>
    operations on
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-47">dictionary type</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">integer types</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-23">list type</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-47">mapping types</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-15">numeric types</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-20">sequence types</a>, <a href="library/stdtypes.html#index-23">[1]</a>
  </dt>

      </dl></dd>
      
  <dt>
    operator
  </dt>

      <dd><dl>
        
  <dt><a href="library/stdtypes.html#index-8">!=</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">%</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">&amp;</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">*</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">**</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">+</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">-</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">/</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-14">//</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">&lt;</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">&lt;&lt;</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">&lt;=</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">==</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">&gt;</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">&gt;=</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">&gt;&gt;</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-17">^</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-5">and</a>, <a href="library/stdtypes.html#index-7">[1]</a>, <a href="reference/expressions.html#index-68">[2]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">comparison</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-11">in</a>, <a href="library/stdtypes.html#index-20">[1]</a>, <a href="reference/expressions.html#index-64">[2]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">is</a>, <a href="reference/expressions.html#index-65">[1]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-8">is not</a>, <a href="reference/expressions.html#index-65">[1]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-7">not</a>, <a href="reference/expressions.html#index-67">[1]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-11">not in</a>, <a href="library/stdtypes.html#index-20">[1]</a>, <a href="reference/expressions.html#index-64">[2]</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-5">or</a>, <a href="library/stdtypes.html#index-7">[1]</a>, <a href="reference/expressions.html#index-69">[2]</a>
  </dt>

        
  <dt><a href="reference/datamodel.html#index-65">overloading</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-77">precedence</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-70">ternary</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/2to3.html#2to3fixer-operator">operator (2to3 fixer)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/operator.html#module-operator">(module)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/lexical_analysis.html#index-21">operators</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.opmap">opmap (in module dis)</a>
  </dt>

      
  <dt><a href="library/dis.html#dis.opname">opname (in module dis)</a>
  </dt>

      
  <dt><a href="library/pickletools.html#pickletools.optimize">optimize() (in module pickletools)</a>
  </dt>

      
  <dt><a href="library/importlib.html#importlib.machinery.OPTIMIZED_BYTECODE_SUFFIXES">OPTIMIZED_BYTECODE_SUFFIXES (in module importlib.machinery)</a>
  </dt>

      
  <dt><a href="library/typing.html#typing.Optional">Optional (class in typing)</a>
  </dt>

      
  <dt><a href="library/optparse.html#optparse.OptionGroup">OptionGroup (class in optparse)</a>
  </dt>

      
  <dt><a href="library/tkinter.tix.html#tkinter.tix.OptionMenu">OptionMenu (class in tkinter.tix)</a>
  </dt>

      
  <dt><a href="library/optparse.html#optparse.OptionParser">OptionParser (class in optparse)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.Example.options">options (doctest.Example attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ssl.html#ssl.SSLContext.options">(ssl.SSLContext attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/configparser.html#configparser.ConfigParser.options">options() (configparser.ConfigParser method)</a>
  </dt>

      
  <dt><a href="library/configparser.html#configparser.ConfigParser.optionxform">optionxform() (configparser.ConfigParser method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/configparser.html#configparser.optionxform">(in module configparser)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/optparse.html#module-optparse">optparse (module)</a>
  </dt>

      
  <dt>
    or
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-60">bitwise</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-59">exclusive</a>
  </dt>

        
  <dt><a href="reference/expressions.html#index-60">inclusive</a>
  </dt>

        
  <dt><a href="library/stdtypes.html#index-5">operator</a>, <a href="library/stdtypes.html#index-7">[1]</a>, <a href="reference/expressions.html#index-69">[2]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/operator.html#operator.or_">or_() (in module operator)</a>
  </dt>

      
  <dt>
    ord
  </dt>

      <dd><dl>
        
  <dt><a href="reference/datamodel.html#index-19">built-in function</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/functions.html#ord">ord() (built-in function)</a>
  </dt>

      
  <dt>
    order
  </dt>

      <dd><dl>
        
  <dt><a href="reference/expressions.html#index-76">evaluation</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/pyexpat.html#xml.parsers.expat.xmlparser.ordered_attributes">ordered_attributes (xml.parsers.expat.xmlparser attribute)</a>
  </dt>

      
  <dt><a href="library/collections.html#collections.OrderedDict">OrderedDict (class in collections)</a>
  </dt>

      
  <dt><a href="library/importlib.html#importlib.machinery.ModuleSpec.origin">origin (importlib.machinery.ModuleSpec attribute)</a>
  </dt>

      
  <dt><a href="library/urllib.request.html#urllib.request.Request.origin_req_host">origin_req_host (urllib.request.Request attribute)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler.origin_server">origin_server (wsgiref.handlers.BaseHandler attribute)</a>
  </dt>

      
  <dt>
    os
  </dt>

      <dd><dl>
        
  <dt><a href="library/posix.html#index-0">module</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/os.html#module-os">os (module)</a>
  </dt>

      
  <dt><a href="library/os.path.html#module-os.path">os.path (module)</a>
  </dt>

      
  <dt><a href="library/wsgiref.html#wsgiref.handlers.BaseHandler.os_environ">os_environ (wsgiref.handlers.BaseHandler attribute)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#OSError">OSError</a>
  </dt>

      
  <dt><a href="library/ossaudiodev.html#module-ossaudiodev">ossaudiodev (module)</a>
  </dt>

      
  <dt><a href="library/ossaudiodev.html#ossaudiodev.OSSAudioError">OSSAudioError</a>
  </dt>

      
  <dt>
    outfile
  </dt>

      <dd><dl>
        
  <dt><a href="library/json.html#cmdoption-arg-outfile">command line option</a>
  </dt>

      </dl></dd>
      
  <dt><a href="reference/simple_stmts.html#index-3">output</a>
  </dt>

      <dd><dl>
        
  <dt><a href="reference/simple_stmts.html#index-3">standard</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/subprocess.html#subprocess.CalledProcessError.output">output (subprocess.CalledProcessError attribute)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/subprocess.html#subprocess.TimeoutExpired.output">(subprocess.TimeoutExpired attribute)</a>
  </dt>

        
  <dt><a href="library/unittest.html#unittest.TestCase.output">(unittest.TestCase attribute)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/http.cookies.html#http.cookies.BaseCookie.output">output() (http.cookies.BaseCookie method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/http.cookies.html#http.cookies.Morsel.output">(http.cookies.Morsel method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/email.charset.html#email.charset.Charset.output_charset">output_charset (email.charset.Charset attribute)</a>
  </dt>

      
  <dt><a href="library/gettext.html#gettext.NullTranslations.output_charset">output_charset() (gettext.NullTranslations method)</a>
  </dt>

      
  <dt><a href="library/email.charset.html#email.charset.Charset.output_codec">output_codec (email.charset.Charset attribute)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.OutputChecker.output_difference">output_difference() (doctest.OutputChecker method)</a>
  </dt>

      
  <dt><a href="library/doctest.html#doctest.OutputChecker">OutputChecker (class in doctest)</a>
  </dt>

      
  <dt><a href="library/http.cookies.html#http.cookies.Morsel.OutputString">OutputString() (http.cookies.Morsel method)</a>
  </dt>

      
  <dt><a href="library/nntplib.html#nntplib.NNTP.over">over() (nntplib.NNTP method)</a>
  </dt>

      
  <dt><a href="library/decimal.html#decimal.Overflow">Overflow (class in decimal)</a>
  </dt>

      
  <dt><a href="library/exceptions.html#OverflowError">OverflowError</a>
  </dt>

      <dd><dl>
        
  <dt><a href="c-api/long.html#index-1">(built-in exception)</a>, <a href="c-api/long.html#index-2">[1]</a>, <a href="c-api/long.html#index-3">[2]</a>, <a href="c-api/long.html#index-4">[3]</a>, <a href="c-api/long.html#index-5">[4]</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/ipaddress.html#ipaddress.IPv4Network.overlaps">overlaps() (ipaddress.IPv4Network method)</a>
  </dt>

      <dd><dl>
        
  <dt><a href="library/ipaddress.html#ipaddress.IPv6Network.overlaps">(ipaddress.IPv6Network method)</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/curses.html#curses.window.overlay">overlay() (curses.window method)</a>
  </dt>

      
  <dt>
    overloading
  </dt>

      <dd><dl>
        
  <dt><a href="reference/datamodel.html#index-65">operator</a>
  </dt>

      </dl></dd>
      
  <dt><a href="library/curses.html#curses.window.overwrite">overwrite() (curses.window method)</a>
  </dt>

      
  <dt><a href="library/pathlib.html#pathlib.Path.owner">owner() (pathlib.Path method)</a>
  </dt>

  </dl></td>
</tr></table>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
   <h4>Index</h4>
   <p><a href="genindex-Symbols.html"><strong>Symbols</strong></a>
     | <a href="genindex-_.html"><strong>_</strong></a>
     | <a href="genindex-A.html"><strong>A</strong></a>
     | <a href="genindex-B.html"><strong>B</strong></a>
     | <a href="genindex-C.html"><strong>C</strong></a>
     | <a href="genindex-D.html"><strong>D</strong></a>
     | <a href="genindex-E.html"><strong>E</strong></a>
     | <a href="genindex-F.html"><strong>F</strong></a>
     | <a href="genindex-G.html"><strong>G</strong></a>
     | <a href="genindex-H.html"><strong>H</strong></a>
     | <a href="genindex-I.html"><strong>I</strong></a>
     | <a href="genindex-J.html"><strong>J</strong></a>
     | <a href="genindex-K.html"><strong>K</strong></a>
     | <a href="genindex-L.html"><strong>L</strong></a>
     | <a href="genindex-M.html"><strong>M</strong></a>
     | <a href="genindex-N.html"><strong>N</strong></a>
     | <a href="#"><strong>O</strong></a>
     | <a href="genindex-P.html"><strong>P</strong></a>
     | <a href="genindex-Q.html"><strong>Q</strong></a>
     | <a href="genindex-R.html"><strong>R</strong></a>
     | <a href="genindex-S.html"><strong>S</strong></a>
     | <a href="genindex-T.html"><strong>T</strong></a>
     | <a href="genindex-U.html"><strong>U</strong></a>
     | <a href="genindex-V.html"><strong>V</strong></a>
     | <a href="genindex-W.html"><strong>W</strong></a>
     | <a href="genindex-X.html"><strong>X</strong></a>
     | <a href="genindex-Y.html"><strong>Y</strong></a>
     | <a href="genindex-Z.html"><strong>Z</strong></a>
     </p>

   <p><a href="genindex-all.html"><strong>Full index on one page</strong></a></p>
   


<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>  
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li><img src="_static/py.png" alt=""
                 style="vertical-align: middle; margin-top: -1px"/></li>
        <li><a href="https://www.python.org/">Python</a> &raquo;</li>
        <li>
          <span class="version_switcher_placeholder">3.5.1</span>
          <a href="index.html">Documentation</a> &raquo;
        </li>
 
      </ul>
    </div>  
    <div class="footer">
    &copy; <a href="copyright.html">Copyright</a> 1990-2016, Python Software Foundation.
    <br />
    The Python Software Foundation is a non-profit corporation.
    <a href="https://www.python.org/psf/donations/">Please donate.</a>
    <br />
    Last updated on Jan 19, 2016.
    <a href="bugs.html">Found a bug</a>?
    <br />
    Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.3.3.
    </div>

  </body>
</html>